#!/bin/sh
# lsof-i2.sh
# "Anti-renifleur simple" | "Simple anti-snooper" 
# Dpendances / Dependencies : lsof, less complet, replaceit
# musher0, 24 juin 2013
####
# set -xe
# 1) Douze entres sous forme de copies de rserve. | Twelve entries, as back-ups.
# S'il y a 12 entres, les effacer et recommencer. | If there are 12 entries, erase them and start over.
[ -f /root/my-applications/Systeme/lsof-i.cdr.~12~ ] && rm /mnt/sda1/my-applications/Systeme/lsof-i.cdr.*
#
# 2) Nouvelle entre | New entry.
date > /tmp/lsof-i.txt
echo . >> /tmp/lsof-i.txt
lsof -i | tr -s " " >> /tmp/lsof-i.txt
# Aussi possible -i  -n -P
sleep 0.5s
echo . >> /tmp/lsof-i.txt

#
# 3) Affichage de l'information / The information is displayed.
replaceit --input=/tmp/lsof-i.txt ESTABLISHED EST.
replaceit --input=/tmp/lsof-i.txt "modemcable004.243-59-74.mc.videotron.ca" "mc.videotron.ca"
G="g 124x10+96+171"
CLR="bg sienna4 -fg seashell -bd DarkOliveGreen4"
OVRT="o0o                       |     Voici les ports ouverts.     |     Here are the open ports.     |                       o0o" 
urxvt -fn "xft:Liberation Mono:pixelsize=13:antialias=true:hinting=true" -$G -$CLR -T "$OVRT" +tr -e less -B -L -J -P "$OVRT" -~ /tmp/lsof-i.txt &
#
sleep 3s
#
# 4) Marche  suivre si un renifleur est dcouvert. | Procedure to follow if a snooper is found.
/usr/X11R7/bin/yaf-splash -text " |\ Fermer l'ordi si on vous espionne. /|\  Shutdown if you're being spied on./|" -placement centre -outline 0 -$CLR -timeout 6 -margin 15 -bw 15 -font "9x15B" >/dev/null 2>&1 
# "8x16" # -bd ${CLR##*' '}
#
# 5) Nettoyer | Clean up
cp -f --backup=numbered /tmp/lsof-i.txt /root/my-applications/Systeme/lsof-i.cdr
# rm /tmp/lsof-i.txt
# set +xe
###### FIN / END #####
